# Enum Class Elements.DocCommentKind

java.lang.Object
java.lang.Enum<Elements.DocCommentKind>
javax.lang.model.util.Elements.DocCommentKind

All Implemented Interfaces:
  `Serializable, Comparable<Elements.DocCommentKind>, Constable`

Enclosing interface:
  `Elements`

public static enum Elements.DocCommentKind extends Enum<Elements.DocCommentKind>
The kind of documentation comment.

Since:
  23

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`END_OF_LINE`
The kind of comments whose lines are prefixed by `///`.
`TRADITIONAL`
The kind of comments that begin with `/**`.

## Method Summary

Modifier and Type
Method
Description
`static Elements.DocCommentKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Elements.DocCommentKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### END_OF_LINE

public static final Elements.DocCommentKind END_OF_LINE
The kind of comments whose lines are prefixed by `///`.

API Note:
  The standard doclet used by the `javadoc` tool treats these comments as containing Markdown and documentation comment tags.
See Also:
  - JEP 467: Markdown Documentation Comments

### TRADITIONAL

public static final Elements.DocCommentKind TRADITIONAL
The kind of comments that begin with `/**`.

API Note:
  The standard doclet used by the `javadoc` tool treats these comments as containing HTML and documentation comment tags.

## Method Details

### values

public static Elements.DocCommentKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Elements.DocCommentKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null